Subject: Strange behaviour of --tags when adding remotes

From: Timo Schmiade <[email-masked]>
Date: Sat, 16 Apr 2011 12:50:17 +0200

Hi all,

I just stumbled upon what I think is a bit of a strange behaviour when
using "git remote add" with the --tags option. The remote I added was
fetch'able after the command (it was added to .git/config), but there
was no remote tracking branch set up for it (i.e. the
.git/refs/remotes/<shortname> directory didn't exist).

Only after removing the "tagopt = --tags" option from .git/config was it
that "git fetch <shortname>" created a remote tracking branch for the
remote.

After double-checking the "man git-fetch", I still think this behaviour
is quite confusing, so I wanted to inform you about this.

Kind regards,

Timo